package gestione_tessile_con_liste;

public class Materiale {
	
	private static int codiceProgressivo=1;
	
	protected int codice;
	protected String descrizione;
	protected double costoAlMetro;
	protected int codFornitore;
	
	public Materiale(){
		this("",0,0);
	}
	
	public Materiale(String descrizione, double costoAlMetro, int codF){
		this.codice = codiceProgressivo++;
		this.descrizione = descrizione;
		this.costoAlMetro = costoAlMetro;
		this.codFornitore = codF;
	}
	
	public int getCodice(){
		return codice;
	}
	
	public String getDescrizione(){
		return descrizione;
	}
	
	public double getCostoAlMetro(){
		return costoAlMetro;
	}
	
	public int getCodFornitore() {
		return codFornitore;
	}
	
	public void setCodFornitore(int codiceF) {
		this.codFornitore = codiceF;
	}
	
	// metodo polimorfo
	public double costoFornitura(int metri) {
		return costoAlMetro*metri; // valore di default. Il valore corretto viene determinato nelle rispettive classi figlie secondo le specifiche indicate
	}
	
	public String toString(){
		String s = "Codice: " + codice + "\n";
		s += "Descrizione: " + descrizione + "\n";
		s += "Costo al metro: " + costoAlMetro + "\n";
		return s;
	}

}
