package gestione_tessile_con_liste;

public class MaterialeAbbigliamento extends Materiale{
	
	private static final int METRATURA_MINIMA = 20;
	private static final int SCONTO = 10;
	
	private double costoSartoriaAlMetro;
	
	public MaterialeAbbigliamento(){
		this("",0,0,0);
	}
	
	public MaterialeAbbigliamento(String descrizione, double costo, int codFornitore, double costoSartoria){
		super(descrizione, costo, codFornitore);
		this.costoSartoriaAlMetro = costoSartoria;
	}
	
	// metodo polimorfo
	public double costoFornitura(int metri){
		double costo = super.costoFornitura(metri); // oppure:
												    // double costo = costoAlMetro*metri;
												    // oppure:
												    // double costo = getCostoAlMetro()*metri; 
		if(metri>METRATURA_MINIMA)
			// applicazione dello sconto
			costo *= (100 - SCONTO)/100;
		return costo;
	}
	
	public String toString(){
		String s = super.toString();
		s += "Costo sartoria al metro: " + costoSartoriaAlMetro + "\n";
		return s;
	}

}
