package gestione_tessile_con_liste;

public class MaterialeArredamento extends Materiale{
	
	private static final int METRATURA_MINIMA = 50;
	private static final int SCONTO_BASE = 15;
	private static final int SCONTO_AGGIUNTIVO = 10;
	
	private String tipoArredamento;
	
	public MaterialeArredamento(){
		this("",0,0,""); 
	}
	
	public MaterialeArredamento(String descrizione, double costo, int codFornitore, String tipo){
		super(descrizione, costo, codFornitore);
		this.tipoArredamento = tipo.toUpperCase();
	}
	
	// metodo polimorfo
	public double costoFornitura(int metri){
		double costo = super.costoFornitura(metri); // oppure:
												    // double costo = costoAlMetro*metri;
												    // oppure:
												    // double costo = getCostoAlMetro()*metri;
		int sconto;
		if(metri>METRATURA_MINIMA){
			sconto = SCONTO_BASE;
			if(tipoArredamento.equals("BIANCHERIA"))
				sconto += SCONTO_AGGIUNTIVO;
			// applicazione dello sconto
			costo *= (100 - sconto)/100;
		}
		return costo;
	}
	
	public String getTipoArredamento() {
		return tipoArredamento;
	}
	
	public String toString(){
		String s = super.toString();
		s += "Tipo arredamento: " + tipoArredamento + "\n";
		return s;
	}

}
