package gestione_tessile_con_liste;

import java.util.*;

public class TesterTessile {
	
	public static void main(String[] args){
		
		GestioneTessile gestioneTessile = new GestioneTessile();
		// inizializzazione della gestione tessile
		// ...
		// fase non richiesta dal testo

		// punto a)
		DatiMateriali dati = gestioneTessile.contaMaterialiPerSettori();
		System.out.println(dati);
		
		// punto b)
		Materiale materiale = null;
		Scanner tastiera = new Scanner(System.in);
		System.out.println("Inserire i dati del materiale: ");
		System.out.print("Descrizione: ");
		String descrizione = tastiera.nextLine();
		System.out.print("Costo al metro: ");
		double costo = tastiera.nextDouble();
		System.out.print("Codice del fornitore: ");
		int codiceFornitore = tastiera.nextInt();
		
		// chiediamo il tipo di materiale
		System.out.print("Tipo di materiale (abbigliamento, arredamento): ");
		String tipoMateriale = tastiera.next();
		if(tipoMateriale.equalsIgnoreCase("abbigliamento")){
			System.out.print("Costo sartoria: ");
			double costoSartoria = tastiera.nextDouble();
			materiale = new MaterialeAbbigliamento(descrizione,costo,codiceFornitore,costoSartoria);
		} else {
			System.out.print("Tipo arredamento (tendaggi, divani, biancheria): ");
			String tipoArredamento = tastiera.next();
			materiale = new MaterialeArredamento(descrizione,costo,codiceFornitore,tipoArredamento);
		}
		
		if(gestioneTessile.aggiungiMateriale(materiale))
			System.out.println("Materiale inserito");
		else
			System.out.println("Materiale non inserito");
		
		// punto c)
		System.out.print("Inserire la descrizione del materiale: ");
		// L'istruzione seguente viene introdotta per i motivi indicati nel commento
		tastiera.nextLine(); 
		/* lettura a vuoto per pulire il buffer in quanto se un 
		 * nextLine() e' preceduto da un next() o da un nextInt(), 
		 * nextDouble(),..., restituisce il newline che segue il 
		 * token acquisito. Tale newline non viene acquisito 
		 * insieme al token ma rimane nel buffer.
		 * Notare che diversi next() in sequenza non danno 
		 * problemi in quanto il next() incomincia ad acquisire 
		 * dal primo carattere utile, tralasciando quindi 
		 * eventuali newline che possono essere rimasti nel buffer */
		
		String descrizioneMateriale = tastiera.nextLine();
		Fornitore fornitore = gestioneTessile.fornitorePiuEconomico(descrizioneMateriale);
		System.out.println("Il fornitore pi economico del materiale con descrizione "+ descrizioneMateriale + ": ");
		System.out.println(fornitore);
		
		tastiera.close();
	}

}
